Skip to content
Start here

Get a Rego module by ID

client.zeroTrust.cws.regoModules.get(stringregoModuleID, RegoModuleGetParams { account_id } params, RequestOptionsoptions?): RegoModule { id, created_at, name, 3 more }
GET/accounts/{account_id}/cws/rego-modules/{rego_module_id}

Returns the library Rego module with the specified ID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
regoModuleID: string

ID of the Rego module to retrieve

formatuuid
params: RegoModuleGetParams { account_id }
account_id: string

Cloudflare account ID (32-character hexadecimal string)

maxLength32
minLength32
ReturnsExpand Collapse
RegoModule { id, created_at, name, 3 more }
id: string

Server-assigned UUID

formatuuid
created_at: string
formatdate-time
name: string

Human-readable name; unique per account

maxLength100
minLength1
package_path: string

Dotted path derived from rego_source. Begins with lib. and is unique per account.

maxLength1024
rego_source: string

Library Rego source with a package beginning with “lib.” Maximum 16384 UTF-8 bytes.

maxLength16384
minLength1
updated_at: string
formatdate-time

Get a Rego module by ID

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const regoModule = await client.zeroTrust.cws.regoModules.get(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { account_id: 'xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx' },
);

console.log(regoModule.id);
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "name": "x",
    "package_path": "package_path",
    "rego_source": "x",
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "name": "x",
    "package_path": "package_path",
    "rego_source": "x",
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}